typedef struct shadowlight_s 
{
   vec3_t   origin;      //position of light source
   vec3_t   baseColor, color;      //light color, animated color
   float   radius;      //radius of light source (doesn't light anyting out of that circle)
                  //so we can "clip" our shadowvolumes against that circle
   float   brightness;
   qboolean visible;   //light is "visible" this frame
   int      style;
} shadowlight_t;

typedef struct shadowlightactive_s {
   vec3_t   origin;      //position of light source
   float   radius;      //radius of light source (doesn't light anyting out of that circle)
                  //so we can "clip" our shadowvolumes against that circle
} shadowlightactive_t;

#define   MAXSHADOWLIGHTS   512 //Maximum number of (client side) lights in a map
#define MAXUSEDSHADOWLIGHTS 64 //Maximum number of lights that can be used in a single frame

extern int numShadowLights;   //number of lights currently on client
extern int numStaticShadowLights; //number of static lights on client
extern int numUsedShadowLights;
extern shadowlight_t shadowlights[MAXSHADOWLIGHTS];
extern shadowlight_t *usedshadowlights[MAXUSEDSHADOWLIGHTS];
extern shadowlightactive_t activeshadowlights[MAXUSEDSHADOWLIGHTS];
extern shadowlight_t *currentshadowlight;